%define major           0
%define libname         %mklibname %{name} %{major}
%define develname       %mklibname %{name} -d

%define version 0.5.0
%define rel 3
%define snapshot git20091029
%define release %mkrel 0.%{snapshot}.%{rel}

%define sversion %{version}%{snapshot}

Name: bognor-regis
Summary: Media daemon and play queue manager
Group: Graphical desktop/Other
Version: %{version}
License: LGPLv2.1
URL: http://www.moblin.org
Release: %{release}
Source0: %{name}-%{sversion}.tar.gz
Patch0: bognor-regis-0.5.0-libnotify.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: glib2-devel
BuildRequires: libgtk+2.0-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libgstreamer-devel
BuildRequires: libGConf2-devel GConf2
BuildRequires: intltool
BuildRequires: libnotify-devel

%description
Media daemon and play queue manager

%package -n %{libname}
Group: System/Libraries
Summary: Media daemon and play queue manager
Requires: %{name}

%description -n %{libname}
Bognor Regis library

%package -n %{develname}
Summary: Bognor Regis development environment
Group: Development/C

Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel

%description -n %{develname}
Bognor Regis development environment

%prep
%setup -q -n %{name}-%{sversion}
%patch0 -p0
perl -pi -e 's,^./configure.*,,' ./autogen.sh

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README NEWS AUTHORS ChangeLog
%{_libexecdir}/bognor-regis-daemon
%{_datadir}/dbus-1/services/org.moblin.BognorRegis.service
%{_datadir}/locale/*

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/%{name}*
%{_libdir}/libbognor-regis-*.la
%{_libdir}/libbognor-regis-*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig

%files -n %{libname}
%{_libdir}/libbognor-regis-*.so.*


%changelog
* Thu Apr 14 2011 Funda Wang <fwang@mandriva.org> 0.5.0-0.git20091029.3mdv2011.0
+ Revision: 652912
- build with libnotify 0.7

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-0.git20091029.2mdv2011.0
+ Revision: 610082
- rebuild

* Fri Nov 06 2009 Caio Begotti <caio1982@mandriva.org> 0.5.0-0.git20091029.1mdv2010.1
+ Revision: 461768
- new upstream code tagged for moblin-2.1 (not really a new version)

* Wed Oct 28 2009 Olivier Blin <oblin@mandriva.com> 0.4.10-0.git20091027.1mdv2010.0
+ Revision: 459750
- update to git snapshot 20091027 (from Caio Begotti)

* Fri Oct 02 2009 Olivier Blin <oblin@mandriva.com> 0.4.10-0.git20091001.3mdv2010.0
+ Revision: 452709
- require binaries in library package (it needs the service)

* Fri Oct 02 2009 Olivier Blin <oblin@mandriva.com> 0.4.10-0.git20091001.2mdv2010.0
+ Revision: 452624
- remove explicit pkgconfig require in devel package
- remove duplicate libname require in devel package
- provide bognor-regis-devel in devel package

* Fri Oct 02 2009 Olivier Blin <oblin@mandriva.com> 0.4.10-0.git20091001.1mdv2010.0
+ Revision: 452557
- fix devel group
- buildrequire libgtk+2.0-devel
- buildrequire intltool
- buildrequire libGConf2-devel
- fix group
- run configure once
- fix versionning
- initial import (from Claudio Matsuoka and Caio Begotti, based on Fedora package)
- Created package structure for bognor-regis.

